<?php
/**
* 404 Page Settings.
*
* @package Online Learning LMS
*/

$online_learning_lms_default = online_learning_lms_get_default_theme_options();

$wp_customize->add_section( 'online_learning_lms_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'online-learning-lms' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'online_learning_lms_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'online_learning_lms_404_main_title',
    array(
        'default'           => $online_learning_lms_default['online_learning_lms_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'online-learning-lms' ),
        'section'  => 'online_learning_lms_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_404_subtitle_one',
    array(
        'default'           => $online_learning_lms_default['online_learning_lms_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'online-learning-lms' ),
        'section'  => 'online_learning_lms_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_404_para_one',
    array(
        'default'           => $online_learning_lms_default['online_learning_lms_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'online-learning-lms' ),
        'section'  => 'online_learning_lms_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_404_subtitle_two',
    array(
        'default'           => $online_learning_lms_default['online_learning_lms_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'online-learning-lms' ),
        'section'  => 'online_learning_lms_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_404_para_two',
    array(
        'default'           => $online_learning_lms_default['online_learning_lms_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'online-learning-lms' ),
        'section'  => 'online_learning_lms_404_page_settings',
        'type'     => 'text',
    )
);